<?php
namespace Bss\InventoryReportCustom\Ui\Component\Listing\Column;

class QtyAfter extends \Bss\InventoryReport\Ui\Component\Listing\Column\AbstractColumn
{
    /**
     * @param array $item
     * @return array|null
     */
    protected function _prepareItem(array &$item)
    {
        if (isset($item['report_id'])) {
            $qtyAfter = $item['qty_after'];
            if ($qtyAfter === null) {
                return $item[$this->getData('name')] = null;
            } else {
                $qtyAfter = number_format($qtyAfter);
                $item[$this->getData('name')] = $qtyAfter;
            }
        }
        return $item;
    }
}
