<?php
namespace Bss\InventoryReportCustom\Ui\Component\Listing\Column;

class SaleableQty extends \Bss\InventoryReport\Ui\Component\Listing\Column\AbstractColumn
{
    /**
     * @param array $item
     * @return array|null
     */
    protected function _prepareItem(array &$item)
    {
        if (isset($item['report_id'])) {
            $salableQty = $item['saleable_qty'];
            if ($salableQty === null) {
                return $item[$this->getData('name')] = null;
            } else {
                $salableQty = number_format($salableQty);
                $item[$this->getData('name')] = $salableQty;
            }
        }
        return $item;
    }
}
